//+------------------------------------------------------------------+
//|                                                 VininI_MV_ZZ.mq4 |
//|                                Copyright  2008, Victor Nicolaev |
//|                                                    vinin@mail,ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Victor Nicolaev"
#property link      "vinin@mail,ru"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_minimum -1
#property indicator_maximum 1
#property indicator_level1 0

#property indicator_color1 Red


extern string _Symbol="EURUSD";
extern int reversi=0;  // 0 - 
extern int ExtDepth=12;




double Buffer0[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init() {
  
   SetIndexStyle(0, DRAW_SECTION);
   SetIndexLabel(0,_Symbol);
   
   string s1,s2,s3,s4;

   if (reversi==0) {   
      s1=StringSubstr(Symbol(),0,3);
      s2=StringSubstr(Symbol(),3,3);
      s3=StringSubstr(_Symbol,0,3);
      s4=StringSubstr(_Symbol,3,3);
      if(s1==s3 || s2==s4) reversi=1;
      if(s1==s4 || s2==s3) reversi=-1;
   }
   SetIndexBuffer(0, Buffer0);
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() {
   int counted_bars=IndicatorCounted();
   int i, j,k;
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   int limit=Bars-counted_bars;
   for (i = limit;i>=0;i--){
      Buffer0[i]=ZZ(_Symbol,i)*reversi; 
      if (Buffer0[i]==0) Buffer0[i]=EMPTY_VALUE; else Buffer0[i+1]=EMPTY_VALUE; 
   }
   return(0);
}

double  ZZ(string _Symbol, int pos){
   double tmp0=iCustom(_Symbol,0,"DT_ZZ_nen",ExtDepth,0,0,pos);
   double tmp1=iCustom(_Symbol,0,"DT_ZZ_nen",ExtDepth,0,1,pos);
   double tmp2=iCustom(_Symbol,0,"DT_ZZ_nen",ExtDepth,0,2,pos);
   if (tmp0>0 && tmp1>0) return( 1);
   if (tmp0>0 && tmp2>0) return(-1);
   return(0);
}